package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;



/**
 * 点巡检工单明细对象 dms_inspect_instance_detail
 *
 * @author xins
 * @date 2024-03-19
 */
public class DmsInspectInstanceDetail extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long instanceDetailId;

    /** 点巡检工单ID */
    @Excel(name = "点巡检工单ID")
    private Long inspectInstanceId;

    /** 巡检步骤 */
    @Excel(name = "巡检步骤")
    private Long lineStep;

    /** 实际巡检步骤 */
    @Excel(name = "实际巡检步骤")
    private Long realLineStep;

    /** 巡检设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "巡检设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 点巡检状态：1-待巡检；2-巡检中；3-已完成 */
    @Excel(name = "点巡检状态：1-待巡检；2-巡检中；3-已完成")
    private String instanceDetailStatus;

    /** 巡检标准 */
    @Excel(name = "巡检标准")
    private String inspectStandard;

    /** 巡检标准名称（连表查询） */
    private String standardName;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String inspectDesc;

    /** 巡检值，对于定量的需要输入 */
    @Excel(name = "巡检值，对于定量的需要输入")
    private BigDecimal inspectValue;

    /** 巡检状态（1正常 0异常），对于定性的需要输入 */
    @Excel(name = "巡检状态", readConverterExp = "1=正常,0=异常")
    private String inspectStatus;

    private Date beginTime;

    private Date endTime;

    private String deviceCode;

    private String deviceName;

    private List<DmsInspectInstanceDetailProject> dmsInspectInstanceDetailProjectList;

    public void setInstanceDetailId(Long instanceDetailId)
    {
        this.instanceDetailId = instanceDetailId;
    }

    public Long getInstanceDetailId()
    {
        return instanceDetailId;
    }
    public void setInspectInstanceId(Long inspectInstanceId)
    {
        this.inspectInstanceId = inspectInstanceId;
    }

    public Long getInspectInstanceId()
    {
        return inspectInstanceId;
    }
    public void setLineStep(Long lineStep)
    {
        this.lineStep = lineStep;
    }

    public Long getLineStep()
    {
        return lineStep;
    }
    public void setRealLineStep(Long realLineStep)
    {
        this.realLineStep = realLineStep;
    }

    public Long getRealLineStep()
    {
        return realLineStep;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setInstanceDetailStatus(String instanceDetailStatus)
    {
        this.instanceDetailStatus = instanceDetailStatus;
    }

    public String getInstanceDetailStatus()
    {
        return instanceDetailStatus;
    }
    public void setInspectStandard(String inspectStandard)
    {
        this.inspectStandard = inspectStandard;
    }

    public String getInspectStandard()
    {
        return inspectStandard;
    }
    public void setStandardName(String standardName)
    {
        this.standardName = standardName;
    }

    public String getStandardName()
    {
        return standardName;
    }
    public void setInspectDesc(String inspectDesc)
    {
        this.inspectDesc = inspectDesc;
    }

    public String getInspectDesc()
    {
        return inspectDesc;
    }
    public void setInspectValue(BigDecimal inspectValue)
    {
        this.inspectValue = inspectValue;
    }

    public BigDecimal getInspectValue()
    {
        return inspectValue;
    }
    public void setInspectStatus(String inspectStatus)
    {
        this.inspectStatus = inspectStatus;
    }

    public String getInspectStatus()
    {
        return inspectStatus;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public List<DmsInspectInstanceDetailProject> getDmsInspectInstanceDetailProjectList() {
        return dmsInspectInstanceDetailProjectList;
    }

    public void setDmsInspectInstanceDetailProjectList(List<DmsInspectInstanceDetailProject> dmsInspectInstanceDetailProjectList) {
        this.dmsInspectInstanceDetailProjectList = dmsInspectInstanceDetailProjectList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("instanceDetailId", getInstanceDetailId())
            .append("inspectInstanceId", getInspectInstanceId())
            .append("lineStep", getLineStep())
            .append("realLineStep", getRealLineStep())
            .append("deviceId", getDeviceId())
            .append("instanceDetailStatus", getInstanceDetailStatus())
            .append("inspectStandard", getInspectStandard())
            .append("standardName", getStandardName())
            .append("inspectDesc", getInspectDesc())
            .append("inspectValue", getInspectValue())
            .append("inspectStatus", getInspectStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
